Bug 892597 - Review Request: glite-lb-types - Build-time component for gLite L&B
Summary: Review Request: glite-lb-types - Build-time component for gLite L&B
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-07 11:16 UTC by František Dvořák
Modified: 2015-07-08 17:01 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-07-17 03:00:31 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2013-01-07 11:16:34 UTC
Spec URL: http://scientific.zcu.cz/fedora/glite-lb-types-2.0.2-1/glite-lb-types.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-lb-types-2.0.2-1/glite-lb-types-2.0.2-1.fc19.src.rpm
Description: Auxiliary build-time component defining LB event types and job status fields.
Fedora Account System Username: valtri

Notes:
- I'm upstream maintainer
- contains perl modules
- koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4844709

Comment 2 Petr Šabata 2013-06-26 07:43:26 UTC
Taking the review.

Comment 3 Petr Šabata 2013-06-26 16:01:07 UTC
You'll need to buildrequire the following:
 - perl (called in spec)
 - perl(Getopt::Long), ./configure:26
 - perl(POSIX), ./configure:27

Don't use absolute paths in your spec.
Call perl simply 'perl' (preferred) or use the %{__perl} macro.

Put the installled C header file in a devel subpackage, as mandated by the packaging guidelines.

Since your Summary and %description are identical, consider using the %{summary} macro.

The %check section doesn't run anything and can be dropped.

Comment 4 František Dvořák 2013-06-27 12:14:03 UTC
Thanks for the review, I'll incorporate the changes.

About the header file in separate subpackage: there is mentioned in Perl section the header files shouldn't be split off (but maybe this is a different case?): https://fedoraproject.org/wiki/Packaging:Perl#.h_files_in_module_packages

Comment 5 Petr Šabata 2013-06-27 14:53:45 UTC
You're right, keep that part as is :)

Comment 7 Petr Šabata 2013-07-01 11:51:22 UTC
Ok, looks good.  Approving.

Comment 8 František Dvořák 2013-07-01 15:25:46 UTC
New Package SCM Request
=======================
Package Name: glite-lb-types
Short Description: Build-time component for gLite L&B
Owners: valtri
Branches: f18 f19 el6
InitialCC:

Comment 9 Gwyn Ciesla 2013-07-01 16:50:26 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-07-02 21:11:33 UTC
glite-lb-types-2.0.7-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glite-lb-types-2.0.7-2.fc19

Comment 11 Fedora Update System 2013-07-02 21:12:45 UTC
glite-lb-types-2.0.7-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glite-lb-types-2.0.7-2.fc18

Comment 12 Fedora Update System 2013-07-02 21:14:00 UTC
glite-lb-types-2.0.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/glite-lb-types-2.0.7-2.el6

Comment 13 Fedora Update System 2013-07-03 03:31:18 UTC
glite-lb-types-2.0.7-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 14 Fedora Update System 2013-07-17 03:00:31 UTC
glite-lb-types-2.0.7-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2013-07-17 03:11:35 UTC
glite-lb-types-2.0.7-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 16 Fedora Update System 2013-07-19 23:59:54 UTC
glite-lb-types-2.0.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 17 Fedora Update System 2015-06-16 15:37:34 UTC
glite-lb-types-2.0.10-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/glite-lb-types-2.0.10-3.el7

Comment 18 Fedora Update System 2015-07-08 17:01:06 UTC
glite-lb-types-2.0.10-3.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.